---
search:
  tags:
    - Environment variables
    - DELETE
seo:
  description: >-
    Deletes a variable from the… Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/variable/{variable_id}
    endpoint in the Platform API.
sidebar:
  label: Delete an environment variable
  badge: DELETE
title: Delete an environment variable
type: openapi-operation
---
Deletes a variable from the environment.

`DELETE /project/{project_id}/environment/{environment_id}/variable/{variable_id}`

**Responses**

- `204` — Variable deleted successfully
- `default` — Error
